Subject: Re: [PATCH 20/24] update-index: test the system before enabling untracked cache

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jan 2015 10:49:12 -0800

Duy Nguyen <[email-masked]> writes:

> On Wed, Jan 21, 2015 at 10:51:02AM -0800, Junio C Hamano wrote:
>> >> It appears that this hijacks a fixed name dir-mtime-test at the root
>> >> level of every project managed by Git.  Is that intended?
>> >
>> > I did think about filename clash, but I chose a fixed name anyway for
>> > simplicity, otherwise we would need to reconstruct paths
>> > "dir-mtime-test/..." in many places.
>> 
>> If you stuff the name of test directory (default "dir-mtime-test")
>> in a strbuf and formulate test paths by chomping to the original and
>> then appending "/..." at the end, like your remove_test_directory()
>> already does, wouldn't that be sufficient?
>
> It looks actually good. How about this on top?

Yeah, looks cleaner.  I am not (yet) enthused by the intrusiveness
of the overall series, though.